www/mongrel-cluster - The NetBSD Packages Collection

Mongrel plugin to manage a mongrel cluster

This package is a Mongrel plugin to help start/stop/restart multiple
mongrel servers to use behind a load balancer like Apache 2.2
(mod_proxy_balancer), Lighttpd, Pound, Pen or Balance.  This plugin
adds an option to specify a number of Mongrel servers to launch, a
range of ports, and a configuration file for the cluster.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

misc/ruby-gem_plugin www/mongrel lang/ruby26-base

Available binary packages

aarch64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
aarch64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
alpha:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv6hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
earmv7hf:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
i386:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
mips64eb:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
mips64eb:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
mips64eb:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
powerpc:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby24-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
powerpc:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
sparc64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 8.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby25-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby26-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)
x86_64:ruby27-mongrel-cluster-1.0.5nb1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]